List KB articles
GET
/projects/{projectId}/kb/articles
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Query Parameters
status
string
optional
query
category
string
optional
query
q
string
optional
query
cursor
string
optional
query
limit
integer
optional
query
Responses
200
Paginated articles
application/jsondata
object[]
Array of:
id
string
project_id
string
title
string
slug
string
content
string
Markdown body
category
string | null
status
string
Enum:
draft, published, archivedis_public
boolean
view_count
integer
helpful_count
integer
not_helpful_count
integer
ai_generated
boolean
created_at
string (date-time)
updated_at
string (date-time)
cursor
string | null
has_more
boolean
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/kb/articles' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/kb/articles', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/kb/articles', headers=headers)print(response.json())
200
Response
{ "data": [ { "id": "<string>", "project_id": "<string>", "title": "<string>", "slug": "<string>", "content": "<string>", "category": "<string>", "status": "draft", "is_public": true, "view_count": 123, "helpful_count": 123, "not_helpful_count": 123, "ai_generated": true, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" } ], "cursor": "<string>", "has_more": true}
API Playground
Try this endpoint
GET
/projects/{projectId}/kb/articles